﻿@model SportsClub.Models.ClubModels.ClubDonationViewModel
@using Newtonsoft.Json;
@{
    ViewBag.Title = "Club Donation";
}
<br />
<br />
<br /><br />
<br />
<br />
<br />

@section _Notification
{
    @{
        Html.RenderAction("GetNotificationWithModel", "SubDomain");
    }
}

@using (Html.BeginForm())
{
    <div class="container form-body">

        @if (Model.isEnable && Model.JbForm != null)
        {
            @Html.HiddenFor(model => model.ClubDomain)
            <div class="container form-body">
                <div class="row-fluid pull-left">
                    @Html.EditorFor(model => model.JbForm)
                    <br /><br /><br /><br /><br /><br /><br />
                    <div class="form-group pull-left">
                        <div class="form-group">
                            <h4>Donation amount</h4>
                        </div>
                        <div class="pull-left">
                            @Html.TextBoxFor(model => model.Amount)
                            @Html.ValidationMessageFor(model => model.Amount)
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    @if (!Model.IsNotCurrentCartDomain)
                    {
                        <button type="submit" class="btn btn-Pay btn-success submit loading" data-club-domain="@Model.ClubDomain" data-domain="Donation" data-category="1" data-subdomaincategory="11" data-loading-text="Submitting...">Pay</button>
                    }
                    else
                    {
                        <button type="submit" class="btn btn-Pay submit btn-grey loading" disabled data-club-domain="@Model.ClubDomain" data-domain="Donation" data-category="1" data-subdomaincategory="11" data-loading-text="Submitting...">Pay</button>
                    }
                    <br /><br /><br />
                </div>
            </div>
        }
    </div>
}